"disable deepeval";

System.register(["babel-plugin-jsx-lively", "babel-plugin-transform-function-bind"], function (_export, _context) {
  "use strict";

  var jsx, bind, __SystemJSRewritingHack, defaultExample, defaultInstance, defaultBabylonConfig, defaultAnnotations, defaultContext, defaultConnectionsInstance, defaultConnections;
  return {
    setters: [function (_babelPluginJsxLively) {
      jsx = _babelPluginJsxLively.default;
    }, function (_babelPluginTransformFunctionBind) {
      bind = _babelPluginTransformFunctionBind.default;
    }],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._src_babylonian_programming_editor_utils_defaults_js = _recorder_._src_babylonian_programming_editor_utils_defaults_js || {};
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, "jsx", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          return jsx;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          jsx = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, "bind", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          return bind;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          bind = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("defaultExample", defaultExample = () => ({
        id: 0,
        name: "script",
        color: "lightgray"
      }));
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, "defaultExample", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          return defaultExample;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          _export("defaultExample", defaultExample = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("defaultInstance", defaultInstance = () => ({
        id: 0,
        name: {
          value: "",
          isConnected: false
        }
      }));
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, "defaultInstance", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          return defaultInstance;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          _export("defaultInstance", defaultInstance = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("defaultBabylonConfig", defaultBabylonConfig = () => ({
        babelrc: false,
        plugins: [
          // jsx,
          // bind
        ],
        parserOpts: {
          plugins: [],
          errorRecovery: true
        },
        presets: [],
        filename: undefined,
        sourceFileName: undefined,
        moduleIds: false,
        sourceMaps: false,
        compact: false,
        comments: true,
        ast: true
      }));
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, "defaultBabylonConfig", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          return defaultBabylonConfig;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          _export("defaultBabylonConfig", defaultBabylonConfig = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("defaultAnnotations", defaultAnnotations = () => ({
        probes: [],
        // [Probe]
        sliders: [],
        // [Slider]
        examples: [],
        // [Example]
        replacements: [],
        // [Replacement]
        instances: [] // [Instance]
      }));
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, "defaultAnnotations", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          return defaultAnnotations;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          _export("defaultAnnotations", defaultAnnotations = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("defaultContext", defaultContext = () => ({
        prescript: "",
        postscript: ""
      }));
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, "defaultContext", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          return defaultContext;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          _export("defaultContext", defaultContext = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      defaultConnectionsInstance = null;
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, "defaultConnectionsInstance", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          return defaultConnectionsInstance;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          defaultConnectionsInstance = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("defaultConnections", defaultConnections = () => {
        globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
        if (!defaultConnectionsInstance) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          _recorder_._src_babylonian_programming_editor_utils_defaults_js.defaultConnectionsInstance = new Proxy({}, {
            get(target, key) {
              globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
              if (key in target) {
                globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
                return target[key];
              } else {
                globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
                throw new Error(`The object referenced by "${key.split("_")[1]}" does not exist`);
              }
            }
          });
        }
        return defaultConnectionsInstance;
      });
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, "defaultConnections", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          return defaultConnections;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/babylonian-programming-editor/utils/defaults.js"]++;
          _export("defaultConnections", defaultConnections = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
    }
  };
});